# Constraint

Constraint : `Instance`

## Overview

제약 기반 인스턴스의 기본 클래스입니다.

## Properties

### Attachment0

`Attachment`

제약(Constraint)의 첫 번째 부착점(Attachment0)을 설정할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Attachment0 = Attachment
```

### Attachment1

`Attachment`

제약(Constraint)의 두 번째 부착점(Attachment1)을 설정할 수 있습니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Attachment1 = Attachment
```

### Enabled

`boolean`

제약(Constraint)의 동작 여부를 설정합니다.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Enabled = false
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/constraint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
